package com.bonus.canteen.core.order.constants;


import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public enum DeliveryTypeEnum {
   SELF_TAKE(1, "自取堂食"),
   MERCHANT(2, "商家配送"),
   DINING_CABINET(3, "取餐柜配送"),
   FRESH_CABINET(4, "生鲜柜配送"),
   TAKE_OUT(5, "自取外带"),
   FOOD_PLACE(6, "取餐点自取"),
   TAKEAWAY(7, "外卖配送"),
   TAKEAWAY_STORE(8, "外卖到店"),
   NONE(0, "无配送");

   private final Integer key;
   private final String desc;

   private DeliveryTypeEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }
   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }
}
